import 'package:firebase_database/firebase_database.dart';
import 'package:jt_firebase_flutter/jt_firebase_flutter.dart';

class JtOnDisconnectFlutter extends FireblendOnDisconnect {
  final OnDisconnect _onDisconnect;

  JtOnDisconnectFlutter(this._onDisconnect);

  Future<void> set(value, {dynamic priority}) {
    return this._onDisconnect.set(value, priority: priority);
  }

  @override
  Future update(Map<String, dynamic> value) {
    return this._onDisconnect.update(value);
  }

  @override
  Future<void> cancel() {
    return this._onDisconnect.cancel();
  }

  @override
  Future<void> remove() {
    return this._onDisconnect.remove();
  }
}
